<?php
namespace Teknisa\DF\Modules\Entrada\Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Teknisa\DF\Controllers\TeknisaCrud;
use Zeedhi\Framework\DataSource\ParameterBag;

class Dfe36000EntradasTransferenciaOperadorLogistico extends TeknisaCrud
{
    protected $dataSourceName = 'notafiscal_nfrelacpexol';
    protected $parameterBagColumns = array("P_CDFILDEST", "P_CDFILDEST", "P_CDOPERLOG", "P_DTINI", "P_DTFIN", "P_NRNOTAFISC", "P_CDSERIE", "P_BLOQLANCNFOP", "P_CDOPERADOR");
    private   $operadorLogado;
     
    public function __construct($crudService, ParameterBag $parameterBag, $environment) {
        $this->operadorLogado = $environment->getCdOperador();
        parent::__construct($crudService, $parameterBag);
    }
    
    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        parent::find($request, $response);
    } 
    
}