<?php
namespace Teknisa\DF\Modules\Saida\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DTO;


class Dfs77000FilialrotaController extends \Teknisa\DF\Controllers\TeknisaCrud {
    protected $dataSourceName;

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()));
        $this->dataSourceName = $dataSource;
        parent::find($request, $response);
    }

    public function save(DTO\Request $request, DTO\Response $response) {
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()) - 6);
        $this->dataSourceName = $dataSource;
        parent::save($request, $response);
    }

    public function delete(DTO\Request $request, DTO\Response $response) {
        $dataSource = substr($request->getRoutePath(), 1, strlen($request->getRoutePath()) - 8);
        $this->dataSourceName = $dataSource;
        parent::delete($request, $response);
    }
}

?>